local BULLETFILE = "client/bulletdash.dat"
local AIMFILE = "client/freeaim.dat"
local configplayer

local function valid(mo)
	return mo and mo.valid
end

addHook("ThinkFrame", do
	if valid(consoleplayer)
	and not valid(configplayer)
	and consoleplayer.invertedaim == nil
		configplayer = consoleplayer
		local file = io.openlocal(BULLETFILE)
		if file 
			local num = file:read("*n")
			COM_BufInsertText(consoleplayer, "dashinvert "..num)
			file:close()
		else
			COM_BufInsertText(consoleplayer, "dashinvert 0")
		end
		local file = io.openlocal(AIMFILE)
		if file 
			local num = file:read("*n")
			COM_BufInsertText(consoleplayer, "freeaim "..num)
			file:close()
		else
			COM_BufInsertText(consoleplayer, "freeaim 0")
		end
	end
end)

local function InvertAim(player, arg)
	//if player.mo and player.mo.valid
		if arg
			arg = arg:lower()
			if arg == "off"
			or arg == "0"
			or arg == "no"
			or arg == "false"
				player.invertedaim = 0
				CONS_Printf(player, "Bullet Dash aiming is now default.")
				if io and player == consoleplayer--this calls to save the data
					local file = io.openlocal(BULLETFILE, "w+")
					file:write(player.invertedaim)
					file:close()
				end
			elseif arg == "on"
			or arg == "yes"
			or arg == "true"
			or arg == "1"
				player.invertedaim = 1
				CONS_Printf(player, "Bullet Dash aiming is now inverted.")
				if io and player == consoleplayer--this calls to save the data
					local file = io.openlocal(BULLETFILE, "w+")
					file:write(player.invertedaim)
					file:close()
				end
			else
				CONS_Printf(player, "This is not Valid. Choices are True or False.")
			end
		else
			CONS_Printf(player, "Toggles inverted aiming on the Bullet Dash. Currently " + player.invertedaim)
		end
	//else
	//	CONS_Printf(player, "You must be in a level to use this")
	//end
end

local function FreeAim(player, arg)
	//if player.mo and player.mo.valid
		if arg
			arg = arg:lower()
			if arg == "off"
			or arg == "0"
			or arg == "no"
			or arg == "false"
				player.freeaim = 0
				CONS_Printf(player, "Bullet Dash aiming is now Input Aim.")
				if io and player == consoleplayer--this calls to save the data
					local file = io.openlocal(AIMFILE, "w+")
					file:write(player.freeaim)
					file:close()
				end
			elseif arg == "on"
			or arg == "yes"
			or arg == "true"
			or arg == "1"
				player.freeaim = 1
				CONS_Printf(player, "Bullet Dash aiming is now Free Aim.")
				if io and player == consoleplayer--this calls to save the data
					local file = io.openlocal(AIMFILE, "w+")
					file:write(player.freeaim)
					file:close()
				end
			else
				CONS_Printf(player, "This is not Valid. Choices are True or False.")
			end
		else
			CONS_Printf(player, "Toggles inverted aiming on the Bullet Dash. Currently " + player.freeaim)
		end
	//else
	//	CONS_Printf(player, "You must be in a level to use this")
	//end
end

COM_AddCommand("dashinvert", function(player, arg)
	InvertAim(player, arg)
end)

COM_AddCommand("dashinvert2", InvertAim, COM_SPLITSCREEN)

COM_AddCommand("freeaim", function(player, arg)
	FreeAim(player, arg)
end)

